Subject: Re: Where are the TIOCM defines in Cygwin ???
From: Chris Faylor <[email-masked]>
To: "S. M. Halloran" <[email-masked]>
Cc: [email-masked]
Date: Fri, 6 Aug 1999 11:51:31 -0400

On Fri, Aug 06, 1999 at 02:31:37PM +0200, S. M. Halloran wrote:
>On 5 Aug 99, Chris Faylor was found to have commented thusly:
>> On Thu, Aug 05, 1999 at 12:10:58PM -0400, Philippe Noel wrote:
>> >I have a problem compiling my application: Every TIOCM defines that are
>> >defined in /usr/include/asm/termios.h and /usr/include/ioctl-types.h under
>> >Linux, are not in Cygwin-b20.
>> >
>> >...
>> >Is it something obsolete?  Or something not supported by Cygwin?
>> >
>> >The only function I'm calling is "ioctl".  Is this function partially
>> >supported or I only need to copy these defines in my source code?
>> 
>> It is the latter.  The defines are not supported by Cygwin.
>
>It doesn't seem that these ioctl() functions are POSIX or ANSI C.  So it is a 
>safe bet, I suppose, that if it is not POSIX or ANSI C, it will not be 
>supported yet (?).

If something is unsupported it is because 1) our customers don't need it
or 2) no one has contributed code for it.  Currently, there are really only
three or four external contributors to the Cygwin project.  So, I'd say that
the likelihood of someone contributing TIOCM* support is minimal.

>And there is apparently the difficulty of the Windows OS allowing drivers to 
>set latches or flip-flops in the UART of the serial port anyway, is that true??

No.  There are APIs do anything you can think about doing with a modem.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]